Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain.client
Class QueryImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.common.domain.client.QueryImpl

All Implemented Interfaces:
  AttributedObject, InternalURI, Query, Resource, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class QueryImpl

extends ResourceImpl
implements Query

Version:
  $Id: QueryImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`URI_PROTOCOL, VERSION_NEW`

Constructor Summary
`QueryImpl()`

Method Summary
`ResourceReference` | `getDataSource()`
`protected java.lang.Class` | `getImplementingItf()`
`java.lang.String` | `getLanguage()`
`java.lang.String` | `getSql()` TODO rename?
`void` | `setDataSource(ReportDataSource dataSource)`
`void` | `setDataSource(ResourceReference dataSource)`
`void` | `setDataSourceReference(java.lang.String referenceURI)`
`void` | `setLanguage(java.lang.String language)`
`void` | `setSql(java.lang.String sql)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.Resource
`getCreationDate, getDescription, getLabel, getName, getParentFolder, getResourceType, getURIString, getVersion, isNew, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.domain.AttributedObject
`getAttributes, setAttributes`

Methods inherited from interface com.jaspersoft.jasperserver.api.metadata.common.domain.InternalURI
`getParentPath, getParentURI, getPath, getProtocol, getURI`

Methods inherited from interface org.acegisecurity.acl.basic.AclObjectIdentity
`equals, hashCode`

Constructor Detail

### QueryImpl

    public QueryImpl()

Method Detail

### getDataSource

    public ResourceReference getDataSource()

  Specified by:
    `getDataSource` in interface `Query`

### setDataSource

    public void setDataSource(ResourceReference dataSource)

  Specified by:
    `setDataSource` in interface `Query`

### setDataSource

    public void setDataSource(ReportDataSource dataSource)

  Specified by:
    `setDataSource` in interface `Query`

### setDataSourceReference

    public void setDataSourceReference(java.lang.String referenceURI)

  Specified by:
    `setDataSourceReference` in interface `Query`

### getSql

    public java.lang.String getSql()

  Description copied from interface: `Query`
  TODO rename?

  Specified by:
    `getSql` in interface `Query`
  Returns:

### setSql

    public void setSql(java.lang.String sql)

  Specified by:
    `setSql` in interface `Query`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    `getLanguage` in interface `Query`

### setLanguage

    public void setLanguage(java.lang.String language)

  Specified by:
    `setLanguage` in interface `Query`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.